public class IntersectionPoint extends Vector2 implements Comparable {
  LineSeg2 intersectingLine;
  int      segmentIndex;
  
  public IntersectionPoint( LineSeg2 intersectingLine, Vector2 intersectionPoint, int segmentIndex ) {
    super( intersectionPoint );
    this.intersectingLine = intersectingLine;
    this.segmentIndex     = segmentIndex;
  }
  
  public int compareTo( Object other ) {
    float  dthis  = this.sub( intersectingLine.v0 ).len();
    float  dother = ((Vector2)other).sub( intersectingLine.v0 ).len();
    return dthis > dother? 1 : -1;
    //return this.x > ((Vector2)other).x ? 1 : -1;
  }
}
