package test;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.fieldfx.math.Vector3;

public class Vector3Test {

  private Vector3 v = null;
  private static final float eps = 0.0001f;
  
  // ---------------------------------------------------------------- //
  @Before
  public void runBeforeEveryTest() { v = new Vector3(); }
  @After 
  public void runAfterEveryTest() { v = null; }
  
  // ---------------------------------------------------------------- //  
  @Test
  public void testIncVector3() {
    v.inc( 0.5f, -2.0f, 1.0f );
    assertEquals( 0.5f, v.x, eps );
    assertEquals(-2.0f, v.y, eps );
    assertEquals( 1.0f, v.z, eps );
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testDecVector3() {
    v.dec( 0.5f, -2.0f, 1.0f );
    assertEquals(-0.5f, v.x, eps );
    assertEquals( 2.0f, v.y, eps );
    assertEquals(-1.0f, v.z, eps );
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testMuleqVector3() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testDiveqVector3() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testModeqVector3() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testMideq() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testInveq() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testCrosseqVector3() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testPrjeqVector3() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testRefeqVector3() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testLenlen() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testLen() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testDotVector3() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testNrmeq() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testMax() {
    fail("Not yet implemented");
  }
  // ---------------------------------------------------------------- //
  @Test
  public void testMin() {
    fail("Not yet implemented");
  }
}
