package com.fieldfx.math;

import com.fieldfx.util.serialize.Serializable;
import com.fieldfx.util.serialize.Serializer;

public class LineSeg3 implements Serializable {
  
  public Vector3 v0 = new Vector3();
  public Vector3 v1 = new Vector3();
  
  // --------------------------------------------------------------- //
  public LineSeg3() {}
  public LineSeg3( Vector3 v0, Vector3 v1 ) {
    this.v0.set(v0);
    this.v1.set(v1);
  }
  
  // --------------------------------------------------------------- //  
  public Serializable clone()   { return new LineSeg3(); }
  public String       getType() { return "LineSeg3"; }
  public void serialize( Serializer s ) {
    s.serialize( "v0", v0 );
    s.serialize( "v0", v1 );
  }
}
