package com.fieldfx.net;

import hypermedia.net.*;

public class NetNode {
  
  public   int     lastRecvTime    = 0;
  private  String  address         = null;
  private  int     port            = 0;
  private  String  guid            = null;
  private  UDP     meshConnection  = null;
  
  // -------------------------------------------------------------------------------- //
  public NetNode(String address, int port, String guid, UDP meshConnection) {
    this.address = address; this.port = port; this.guid = guid; this.meshConnection = meshConnection;
  }
  // -------------------------------------------------------------------------------- //  
  public void send(byte[] message) {
    meshConnection.send(message, address, port);
  }
  // -------------------------------------------------------------------------------- //
  public String getGUID() { return guid; }
  
}