package com.fieldfx.util.serialize;

import java.util.List;


//------------------------------------------------------------ //
public interface Serializer {
  public void     registerType ( Serializable type );
  public boolean  isLoading    ( );
  
  public float    serialize    ( String name, float         value  );
  public int      serialize    ( String name, int           value  );
  public byte     serialize    ( String name, byte          value  );
  public boolean  serialize    ( String name, boolean       value  );
  public String   serialize    ( String name, String        value  );
  public void     serialize    ( String name, Serializable  object );
  
  public <T extends Serializable>
  void            serialize    ( String name, List<T>       values );

}