import processing.opengl.*;
import javax.media.opengl.GL;

GfxDynamicMesh mesh;

void setup() {
  size(800,600,OPENGL);
  mesh = new GfxDynamicMesh(10000,20000);
  mesh.enable(false, false, true, true, false );
  build_mesh();
}

void build_mesh() {
  
  mesh.beginVerts();
  for( int x=0; x<100; ++x ) {
    for( int y=0; y<100; ++y ) {
      mesh.vertex( (float)x,(float)y,(float)0, (float)0,(float)0,  (float)255,(float)1,(float)1,(float)255 );
    }
  }
  mesh.endVerts();

  
  mesh.beginShape(GL.GL_LINE_STRIP);
  for( int x=0; x<100; ++x ) {
    for( int y=0; y<100; ++x ) {    
      mesh.index( x+y*100 );
    }
  }
  mesh.endShape();
}

void draw() {
  background(0);
  
  //stroke(255);
  translate(width/2,height/2);
  //scale(5);
  
  //mesh.reset();
  

  mesh.draw( ((PGraphicsOpenGL)g).beginGL() );
  
  ((PGraphicsOpenGL)g).endGL();
  
}
