import processing.opengl.*;


UIManager mgr;



void setup() {
  size(800,600,OPENGL);
  smooth();
  
  mgr = new UIManager( this );

  //UIBox    box    = mgr.getUIFactory().newBox();
  //UIButton button = mgr.getUIFactory().newButton();

  UIWindow win    = mgr.getUIFactory().newWindow();
  int sliders = 15;
  win.enableResize(true);
  win.enableShadow(true);
  win.setMinSize(200,200);
  win.setSize(sliders*25 + 16, 300);  
  for( int i=0; i<sliders; ++i ) {
    UISlider slider = mgr.getUIFactory().newSlider();
    slider.setPos( i*25, 0 );
    slider.setHeight( win.getClientHeight() );
    
    win.addChild( slider );
  }
  

}

void draw() {
  background(255);
  
  pushMatrix();
    mgr.getView().transform( mgr.getDrawer() );
    
    stroke(0,32);
    for( int r=0; r<100; ++r ) {
      float y = map(r,0,99,0,2000);
      line(0,y,2000,y);
    }
    for( int c=0; c<100; ++c ) {
      float x = map(c,0,99,0,2000);
      line(x,0,x,2000);
    }
  
  popMatrix();
  
  mgr.draw();
}
