//package com.fieldfx.util;

import java.util.List;

//------------------------------------------------------------ //
public interface Serializer {
  public void     registerType ( Serializable type );
  public void     save         ( String fileName, Serializable object );
  public void     load         ( String fileName, Serializable object );
  public boolean  isLoading    ( );
  
  public float    serialize    ( String name, float         value  );
  public int      serialize    ( String name, int           value  );
  public boolean  serialize    ( String name, boolean       value  );
  public String   serialize    ( String name, String        value  );
  public void     serialize    ( String name, Serializable  object );
  public <T extends SerializableBase>
  void            serialize    ( String name, List<T>       values );
}
