import processing.opengl.*;
import fullscreen.*; 
import com.fieldfx.vr920.*

FullScreen fs; 

import java.awt.DisplayMode;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;


//GraphicsDevice device;
//DisplayMode    displayMode;
VR920          vr;

void setup() {

  size(800,600,OPENGL);
  
  //GraphicsDevice[] devices = GraphicsEnvironment.getLocalGraphicsEnvironment().getScreenDevices();
  
  System.loadLibrary("VR920JNI");
  vr = new VR920();
  
  //org.lwjgl.opengl.Display.setVSyncEnabled(true);
  frameRate(60);
  
  

  vr.setup();
  vr.enableTracking();
  vr.enableStereo();
}

void draw() {
  background(0);
  fill(255);
  lights();
  
  vr.update();
  vr.beginDraw( width, height );
    box(200);
    ((PGraphicsOpenGL)g).beginGL();
    ((PGraphicsOpenGL)g).gl.glFlush();
    //((PGraphicsOpenGL)g).gl.glFinish();
    ((PGraphicsOpenGL)g).endGL();
  vr.endDraw();
}

void finalize() {
  vr.shutdown();
}

