package com.fieldfx.devicehub;

import com.fieldfx.util.serialize.Serializable;
import com.fieldfx.util.serialize.Serializer;

//Workaround for serializing an array of ints
public class Pin implements Serializable {
  private int pin = 0;
  
  // -------------------------------------------------------------------- //
  public Pin()          {}  
  public Pin( int pin ) {
    this.pin = pin;
  }
  // -------------------------------------------------------------------- //
  public int    get()          { return pin; }
  public void   set( int pin ) { this.pin = pin; }
  // -------------------------------------------------------------------- //
  public String getType () { return "Pin"; }
  public Pin    clone   () { return new Pin(); }
  // -------------------------------------------------------------------- //
  public void serialize ( Serializer s ) {
    pin = s.serialize( "pin", pin );
  }
}