package com.fieldfx.doc;

import processing.core.PApplet;
import de.bezier.data.sql.MySQL;


public class MySQLDoc  implements ScriptDoc<String> {
  private MySQL   msql;
  private int     sessionID = -1;
  private boolean connected = false;
   
  public MySQLDoc( PApplet app  ) {
    msql = new MySQL( app, "linnea-pc", "makerscript", "makerscript", "" );
    if( msql.connect() )
      connected = true;
    
    System.out.println( "Connected? " + connected );
    if( !connected ) return;
  }


  
  public void term( ) { 
    msql.close();
    connected = false;
  }
  
  public void add( String codeLine ) {
    if( connected ) {
      codeLine = codeLine.replaceAll("&qt;", "\"");
      msql.execute( "INSERT INTO tblUserActions VALUES ( NULL, "+ sessionID +", \"" + codeLine + "\", NULL )" );
    }
  }
  
  public int size() { 
    if( connected ) {
      // Need to return the number of rows      
      msql.query( "SELECT COUNT(*) FROM tblUserActions WHERE userSessionID = " + sessionID );
      if( msql.next() ) {
        return msql.getInt(1);
      }
    }
    return -1;
  }
  

  public String get( int index ) { 
    if( connected ) {

      msql.query( "SELECT CommandString FROM tblUserActions WHERE userSessionID = " + sessionID ); //Need to specify index
      String     codeLine = msql.getString("CommandString");
                 codeLine = codeLine.replaceAll("&qt;", "\"");
      return     codeLine;
    }
    return null;
  }
  
  public void clear( ) {
    if( connected ) {
      
    }
  }


}
