package com.fieldfx.util;


import java.util.List;

import com.fieldfx.util.NamedMultiMap;
import com.fieldfx.geom.mesh.Edge;
import com.fieldfx.geom.mesh.Face;
import com.fieldfx.geom.mesh.PolyLine;
import com.fieldfx.geom.mesh.Vertex;
import com.fieldfx.math.Vector3;


public abstract class SelectableBase implements Selectable {
  public          List<Vertex>            getVerts  ( ) { return null; }
  public          List<Edge>              getEdges  ( ) { return null; }
  public          NamedMultiMap<PolyLine> getPolys  ( ) { return null; }
  public          NamedMultiMap<Face>     getFaces  ( ) { return null; }

  public abstract String                  getType   ( );
  public abstract int                     getIndex  ( );
  public abstract Vector3                 getMin    ( Vector3 min );
  public abstract Vector3                 getMax    ( Vector3 max );
}
