
//import com.fieldfx.util.serialize.XMLSerializer;
//import com.fieldfx.geom.mesh.MeshBuilderBase;
//import com.fieldfx.geom.mesh.Mesh;
//import com.fieldfx.geom.mesh.collada.COLLADAReader;


Mesh example_map = null;

// ------------------------------------------------------------------------------- //
void setup() {
  size( 100,100,P3D );
  example_map = loadColladaMesh( "example_map01.dae" );
  XMLSerializer s = new XMLSerializer( this );
  s.save( sketchPath( "example_map.xml" ), (Serializable)example_map );
}


// ------------------------------------------------------------------------------- //
Mesh loadColladaMesh( String fileName ) {
  MeshBuilderBase builder = new MeshBuilderBase( this );
  COLLADAReader   collada = new COLLADAReader( this, dataPath( fileName ) );
                  collada.convert( builder );
  return                           builder.getMesh();
}

